<!--Navbar-->
<nav class="navbar navbar-expand-lg navbar-dark bg-mallow py-0">
  <!-- Navbar brand -->

  <!-- Collapsible content -->
  <div class=" container navbar-collapse collapse">
  <mdb-navbar-brand><a class="navbar-brand" href="#">Cantiniere</a></mdb-navbar-brand>

 
    <!-- Links -->
    <ul class="rightNav navbar-nav">
      <li [routerLink]="['/platsSemaine']" routerLinkActive="activeLink" class="nav-item">
        <a class="nav-link">Plats de la semaine</a>
      </li>
      <li [routerLink]="['/carte']" routerLinkActive="activeLink" class="nav-item">
        <a class="nav-link">Carte</a>
      </li>
      <li *ngIf="authenticationService.isAdmin" [routerLink]="['/admin/recapCommande']" routerLinkActive="activeLink" class="nav-item ">
        <a class="nav-link">Recap des commandes</a>
      </li>
      <li *ngIf="authenticationService.isLogged && !authenticationService.isAdmin" [routerLink]="['/user/account']" routerLinkActive="activeLink" class="nav-item">
        <a class="nav-link">Compte</a>
      </li>
      <li *ngIf="authenticationService.isAdmin" [routerLink]="['/admin/configuration']" routerLinkActive="activeLink" class="nav-item">
        <a  class="nav-link">Configuration</a>
      </li>
    </ul>
    <ul class="navbar-nav ml-auto">

      <li *ngIf="authenticationService.isLogged" class="nav-item mr-4">
        <span>Bonjour {{authenticationService.currentUserValue.firstName}}</span>
      </li>
      <li *ngIf="!authenticationService.isLogged" class="nav-item">
          <a [routerLink]="['/register']" routerLinkActive="router-link-active" class="btn btn-out-grey nav-link">M'inscrire</a>
        </li>
      <li class="nav-item">
        <a *ngIf="!authenticationService.isLogged" (click)="openLoginModal()" class="btn btn-grey nav-link">Se connecter</a>
        <a *ngIf="authenticationService.isLogged" (click)="openLogoutModal()" class="btn btn-grey nav-link">Me déconnecter</a>
      </li>
      <li *ngIf="cartState" class="nav-item">
          <a [routerLink]="['/panier']" routerLinkActive="router-link-active" class="btn btn-grey nav-link"><mdb-icon fas icon="shopping-cart"></mdb-icon></a>
      </li>
    </ul>
    <!-- Links -->
  </div>

  <!-- Collapsible content -->

</nav>
<!--/.Navbar-->


<!-- DEBUT CONTENT -->
<div class="mt-5 container">
  <router-outlet></router-outlet>
</div>


<!-- loader item -->
<app-loader [hidden]="!load"></app-loader>